/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.vipold.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 旧版会员实体
 *
 * @author 徐超
 * @date  2025/06/26 22:07
 **/
@Getter
@Setter
@TableName("biz_vip_old")
public class BizVipOld {

    /** 主键ID */
    @TableId
    @Schema(description = "主键ID")
    private String id;

    /** 手机号 */
    @Schema(description = "手机号")
    private String phone;

    /** 姓名 */
    @Schema(description = "姓名")
    private String name;

    /** 余额 */
    @Schema(description = "余额")
    private Float balance;

    /** 卡类型 */
    @Schema(description = "卡类型")
    private String cardType;

    /** 注册时间 */
    @Schema(description = "注册时间")
    private String cardTime;

    /** 说明 */
    @Schema(description = "说明")
    private String memo;

    /** 删除标志:NOT_DELETE 正常,DELETED 已删除 */
    @Schema(description = "删除标志:NOT_DELETE 正常,DELETED 已删除")
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String deleteFlag;

    /** 创建人 */
    @Schema(description = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 创建时间 */
    @Schema(description = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 修改时间 */
    @Schema(description = "修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改人 */
    @Schema(description = "修改人")
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;
}
