/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.vipold.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.vipold.entity.BizVipOld;
import vip.xiaonuo.biz.modular.vipold.param.BizVipOldAddParam;
import vip.xiaonuo.biz.modular.vipold.param.BizVipOldEditParam;
import vip.xiaonuo.biz.modular.vipold.param.BizVipOldIdParam;
import vip.xiaonuo.biz.modular.vipold.param.BizVipOldPageParam;

import java.util.List;

/**
 * 旧版会员Service接口
 *
 * @author 徐超
 * @date  2025/06/26 22:07
 **/
public interface BizVipOldService extends IService<BizVipOld> {

    /**
     * 获取旧版会员分页
     *
     * @author 徐超
     * @date  2025/06/26 22:07
     */
    Page<BizVipOld> page(BizVipOldPageParam bizVipOldPageParam);

    /**
     * 添加旧版会员
     *
     * @author 徐超
     * @date  2025/06/26 22:07
     */
    void add(BizVipOldAddParam bizVipOldAddParam);

    /**
     * 编辑旧版会员
     *
     * @author 徐超
     * @date  2025/06/26 22:07
     */
    void edit(BizVipOldEditParam bizVipOldEditParam);

    /**
     * 删除旧版会员
     *
     * @author 徐超
     * @date  2025/06/26 22:07
     */
    void delete(List<BizVipOldIdParam> bizVipOldIdParamList);

    /**
     * 获取旧版会员详情
     *
     * @author 徐超
     * @date  2025/06/26 22:07
     */
    BizVipOld detail(BizVipOldIdParam bizVipOldIdParam);

    /**
     * 获取旧版会员详情
     *
     * @author 徐超
     * @date  2025/06/26 22:07
     **/
    BizVipOld queryEntity(String id);
}
